/**
 * Headings
 */

@for $i from 1 through 6 {
  h#{$i} {
    color: $color__titles;
    font-family: $font__secondary;
    font-weight: $font__weight--bold;
    margin-bottom: 0.25em;
    margin-top: 0.25em;
  }
}

h6 {
  font-size: 1rem;
}

h5 {
  font-size: .875rem;
  text-transform: lowercase;
  letter-spacing: 0.115em;
  font-family: $font__secondary--sc;
  font-weight: 400;
}

h4 {
  font-size: 1rem;
  font-family: $font__main;
  letter-spacing: 0.05em;
}

h3 {
  font-size: 2rem;
  letter-spacing: -0.015em;
  line-height: 1.2;
}

h2 {
  font-size: 3rem;
  letter-spacing: -0.035em;
}

h1 {
  font-size: 3.5rem;
}

@media only screen and (max-width: $wrap__md) {
  h5 {
    font-size: 1.063rem;
  }

  h4 {
    font-size: 1.25rem;
  }

  h3 {
    font-size: 1.375rem;
  }

  h2 {
    font-size: 1.5rem;
  }

  h1 {
    font-size: 2rem;
  }
}

@media only screen and (max-width: $wrap__sm) {
  h4 {
    font-size: 1.125rem;
  }

  h3 {
    font-size: 1.25rem;
  }

  h2 {
    font-size: 1.5rem;
  }

  h1 {
    font-size: 1.875rem;
  }
}

@media only screen and (max-width: $wrap__xs) {
  h2 {
    font-size: 1.375rem;
  }

  h1 {
    font-size: 1.5rem;
  }
}
